<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class TypeInfrastructure extends Model
{
    use HasFactory;
    protected $fillable = ['libelle'];

    public function infrastructures(): HasMany 
{ 
    return $this->hasMany(Infrastructure::class); 
}
}
